* {
  /* applies to EVERY individual element */
  /* default for all elements */
  font-family: "Courier New", monospace;
  font-size: 20px;
}

/* html - changes overall */
html {
  scroll-behavior: smooth;
}
/* tag selector - selects all elements of the same type or tag */

body {
  background-color: skyblue;
}

nav {
  background-color: white;
}

/* selector:hover psuedo class
    changes the style of an element when hovered
*/
a:hover {
  background-color: #b4d6de;
}

nav > div {
  /* display: inline-block; */
  float: right;
}

h1 {
  color: black !important;
  font-size: 2rem;
  text-align: center;
  /* 2*rem (root element font size (html) */
}
/*rem is determined by the root element (html tag) default is 16px*/

section {
  /* vh = viewport height; height of the page with the screen we are viewing from */
  height: 100vh;
  text-align: center;
}

h2 {
  font-size: 1.5rem;
}

ol {
  list-style-type: none;
}
/* id selector - #
		- highest priority among selectors */
#zuitt-motto {
  letter-spacing: 5px;
}

/* class selector - . */
.offering-item {
  /* text transform - determines the case of an element. Mostly used for capitalization */
  text-transform: uppercase;
  /* letter-spacing: 20px; */
}

/* attribute selector
    - selects elements with the same tag and attribute 
    tag[attribute]
*/
input[required] {
  /* border-width: 2px;
  border-style: solid;
  border-color: navy; */
  border: 2px solid navy;
  width: 90%;
  /* input is now 90% of the form (parent element) */
}
/* adjacent sibling selector (+)
    - selects the sibling element directly after the first selector 
    - first selector + adjacent sibling
    - selecting the img element that is after an h3 
    - selectors don't have to be type can be class, id, etc.*/
h3 + img {
  height: 300px;
  width: 300px;
  border-radius: 150px;
}

/* descendant selector
    - selects descendants of the first selector
    first selector second selector */
#bootcamp-learning-list li {
  color: #075966;
}

/* general sibling selector (~)
    selects siblings AFTER our first selector
    selector ~ selector 

    ** adjacent selects for siblings RIGHT after the selector - general selects for ANY selctor after
*/
h2 ~ a {
  /* text decoration changes lines included in text - overline, undeerline, strikethrough - by default anchor tags have an underline */
  text-decoration: none;
}

/* child selector
    selects child of an element 
    parent selector > child selector
*/
body > section > form > label {
  color: rgb(0, 0, 128);
}

form {
  text-align: center;
  background-color: white;
  border: 2px solid black;
  height: 185px;
  width: 25vw;
  /* vw = viewport width; percentage of the width of the screen */
  /* position property
      - changes position of an element based on a criteria
      - pos. relative = element will be moved relative to its original position in the document       
  
      left property
      - adds measurement on the left side of the element 
      - value % is based on the measurement of the parent element (37.25% from the left of the parent element)
  */
  position: relative;
  left: 37.25%;
}

button {
  color: #fff;
  background-color: #cf0053;
  border: none;
  border-radius: 15px;
}
